<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use App\Casts\CollectionOrNull;
use App\Traits\SiteID;

class UserOauth extends Model
{
	use SiteID;

	protected $table = 'user_oauth';

	protected $casts = [
		'oauth_data' => CollectionOrNull::class,
	];

	public function User()
	{
		return $this->belongsTo(User::class);
	}

	/**
	 * Get a link token to use when validating account.
	 */
	public function getLinkTokenAttribute(): string
	{
		return strtoupper(substr(md5($this->id.$this->date_last),0,8));
	}
}